import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const blue = '#5382A1';
const orange = '#F8981D';

const Path = styled.path`
  fill: ${props => props.fill};
`;

const StyledJavaIcon = styled.svg`
  enable-background new 0 0 400 400;
`;

const JavaIcon = ({ className = '' }) => {
  return (
    <StyledJavaIcon
      className={className}
      version="1.1"
      id="Layer_1"
      xmlns="http://www.w3.org/2000/svg"
      x="0px"
      y="0px"
      viewBox="-50 0 400 400"
    >
      <Path
        fill={blue}
        d="M102.681,291.324c0,0-14.178,8.245,10.09,11.035c29.4,3.354,44.426,2.873,76.825-3.259   c0,0,8.518,5.341,20.414,9.967C137.38,340.195,45.634,307.264,102.681,291.324"
      />

      <Path
        fill={blue}
        d="M93.806,250.704c0,0-15.902,11.771,8.384,14.283c31.406,3.24,56.208,3.505,99.125-4.759   c0,0,5.936,6.018,15.27,9.309C128.771,295.215,30.962,271.562,93.806,250.704"
      />

      <Path
        fill={orange}
        d="M168.625,181.799c17.896,20.604-4.702,39.145-4.702,39.145s45.441-23.458,24.572-52.833   c-19.491-27.394-34.438-41.005,46.479-87.934C234.974,80.177,107.961,111.899,168.625,181.799"
      />

      <Path
        fill={blue}
        d="M264.684,321.369c0,0,10.492,8.645-11.555,15.333c-41.923,12.7-174.488,16.535-211.314,0.506   c-13.238-5.759,11.587-13.751,19.396-15.428c8.144-1.766,12.798-1.437,12.798-1.437c-14.722-10.371-95.157,20.364-40.857,29.166   C181.236,373.524,303.095,338.695,264.684,321.369"
      />

      <Path
        fill={blue}
        d="M109.499,208.617c0,0-67.431,16.016-23.879,21.832c18.389,2.462,55.047,1.905,89.193-0.956   c27.906-2.354,55.927-7.359,55.927-7.359s-9.84,4.214-16.959,9.075c-68.475,18.009-200.756,9.631-162.674-8.79   C83.313,206.851,109.499,208.617,109.499,208.617"
      />

      <Path
        fill={blue}
        d="M230.462,276.231c69.608-36.171,37.424-70.931,14.96-66.248c-5.506,1.146-7.961,2.139-7.961,2.139   s2.044-3.202,5.948-4.588c44.441-15.624,78.619,46.081-14.346,70.52C229.063,278.055,230.14,277.092,230.462,276.231"
      />

      <Path
        fill={orange}
        d="M188.495,4.399c0,0,38.55,38.563-36.563,97.862c-60.233,47.568-13.735,74.69-0.025,105.678   c-35.159-31.722-60.961-59.647-43.651-85.637C133.663,84.151,204.049,65.654,188.495,4.399"
      />

      <Path
        fill={blue}
        d="M116.339,374.246c66.815,4.277,169.417-2.373,171.847-33.988c0,0-4.671,11.985-55.219,21.503   c-57.028,10.732-127.364,9.479-169.081,2.601C63.887,364.361,72.426,371.43,116.339,374.246"
      />
    </StyledJavaIcon>
  );
};

JavaIcon.propTypes = {
  className: PropTypes.string,
};

export default JavaIcon;
